Package org.kie.internal.jaxb

# Class StringKeyStringValueMap

java.lang.Object
org.kie.internal.jaxb.StringKeyStringValueMap

All Implemented Interfaces:
  `Map<String,String>`

public class StringKeyStringValueMap extends Object implements Map<String,String>
This implements `Map` in order to fool JSON..

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K extends Object,V extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `List<StringKeyStringValueEntry>`
  `entries`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringKeyStringValueMap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEntry(StringKeyStringValueEntry newEntry)`
  `void`
  `clear()`
  `boolean`
  `containsKey(Object key)`
  `boolean`
  `containsValue(Object value)`
  `Set<Map.Entry<String,String>>`
  `entrySet()`
  `String`
  `get(Object key)`
  `boolean`
  `isEmpty()`
  `Set<String>`
  `keySet()`
  `String`
  `put(String key, String value)`
  `void`
  `putAll(Map<? extends String,? extends String> m)`
  `String`
  `remove(Object key)`
  `int`
  `size()`
  `Collection<String>`
  `values()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Field Details

  - ### entries

    public List<StringKeyStringValueEntry> entries

- ## Constructor Details

  - ### StringKeyStringValueMap

    public StringKeyStringValueMap()

- ## Method Details

  - ### addEntry

    public void addEntry(StringKeyStringValueEntry newEntry)

  - ### size

    public int size()
    Specified by:
      `size` in interface `Map<String,String>`

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `Map<String,String>`

  - ### containsKey

    public boolean containsKey(Object key)
    Specified by:
      `containsKey` in interface `Map<String,String>`

  - ### containsValue

    public boolean containsValue(Object value)
    Specified by:
      `containsValue` in interface `Map<String,String>`

  - ### get

    public String get(Object key)
    Specified by:
      `get` in interface `Map<String,String>`

  - ### put

    public String put(String key, String value)
    Specified by:
      `put` in interface `Map<String,String>`

  - ### remove

    public String remove(Object key)
    Specified by:
      `remove` in interface `Map<String,String>`

  - ### putAll

    public void putAll(Map<? extends String,? extends String> m)
    Specified by:
      `putAll` in interface `Map<String,String>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Map<String,String>`

  - ### keySet

    public Set<String> keySet()
    Specified by:
      `keySet` in interface `Map<String,String>`

  - ### values

    public Collection<String> values()
    Specified by:
      `values` in interface `Map<String,String>`

  - ### entrySet

    public Set<Map.Entry<String,String>> entrySet()
    Specified by:
      `entrySet` in interface `Map<String,String>`